#ifndef BOOK_CATEGORY_HPP
#define BOOK_CATEGORY_HPP


// Entity/scene node category, used to dispatch commands
namespace Category
{
	enum Type
	{
		None = 0,
		SceneAirLayer = 1 << 0,
		PlayerSnake = 1 << 1,
		AlliedAircraft = 1 << 2,
		Pickup = 1 << 3,
		Obstacle = 1 << 4,
		Text = 1 << 5,
		World = 1 << 6,

		Aircraft = PlayerSnake,
	};
}

#endif // BOOK_CATEGORY_HPP
