#pragma once


#include <Windows.h>

#include <Keyboard.h>

#include "CommandQueue.h"

class Player
{
public:
	Player();
	~Player();

	void handleEvent(CommandQueue& commands);
	void handleRealtimeInput(CommandQueue& commands);


	bool isLeft();
	bool isRight();
	bool isUp();
	bool isDown();

	LRESULT CALLBACK WndProc(HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam);

	bool isSpaceEvent;
	bool isREvent;

private:
	std::unique_ptr<DirectX::Keyboard> keyboard;
	DirectX::Keyboard::KeyboardStateTracker tracker;
};

