#pragma once

#include <DirectXMath.h>

class Transforms
{
public:
	Transforms();
	Transforms(DirectX::FXMMATRIX& world);
	Transforms(DirectX::XMFLOAT3 translate, DirectX::XMFLOAT3 rotate, DirectX::XMFLOAT3 scale);

	DirectX::FXMMATRIX World() const;

	DirectX::XMFLOAT3 mTranslate;
	DirectX::XMFLOAT3 mRotate;
	DirectX::XMFLOAT3 mScale;
};
